package ru.yandex.webmaster3.core.semantic.semantic_document_parser.microdata.transformer;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 7/15/11
 * Time: 11:06 AM
 * To change this template use File | Settings | File Templates.
 */
public class StringSlice {

    final String string;
    final int offset;
    final int len;

    public String getString() {
        return string;
    }

    public int getOffset() {
        return offset;
    }

    public int getLen() {
        return len;
    }

    public StringSlice(final String string, final int offset, final int len) {
        this.string = string;
        this.offset = offset;
        this.len = len;
    }
}
